// This macro imports a series of text images as a stack.

  dir = getDirectory("Choose directory");
  list = getFileList(dir);
 
  // Add leading zeros to slice number (if necessary) to assure correct order
  list2 = Array.copy(list);
  for(i=0; i<list.length;i++){
  	list2[i] = replace(list[i], "(?<=Z)([0-9])(?=[.])", "0$1");
  	file  = dir + list[i];
  	file2 = dir + list2[i];
    File.rename(file, file2) 
  }

  run("Close All");
  setBatchMode(true);
  for (i=0; i<list2.length; i++) {
  	file2 = dir + list2[i];
  	run("Text Image... ", "open=&file2");
   }

  run("Images to Stack", "use");
  setBatchMode(false);

 run("Stack to Hyperstack...", 
     "order=xyczt(default) channels=1 slices=16 frames=5 display=Grayscale");